Attribute VB_Name = "basProject"
'force variable declaration
Option Explicit


'program version
Public Const Version As String = "1.4"

'in startup mode or not
Public StartUp As Boolean

'cancel flag
Public CancelFlag As Boolean

'screen dpi ratio values
Public ratioX As Single
Public ratioY As Single


'start procedure
Public Sub Main()
   'initialize path
   ThemeFilePath = ""

   'set mouse to busy
   Screen.MousePointer = vbHourglass

   'read screen dpi ratio values
   Call GetDPIRatios

   'show theme editor
   On Error Resume Next
   frmTheme.Show
End Sub


'read registry keys for dpi values and convert to ratio
Public Sub GetDPIRatios()
   Dim strX As String
   Dim strY As String

   On Error GoTo GetDPIRatios_Error_X
   strX = sdaGetRegEntry("HKEY_CURRENT_CONFIG", "Display\Settings", "DPIPhysicalX", 0)
   If strX = "" Then
      ratioX = 1
   Else
      ratioX = CInt(strX) / NORMAL_DPI
   End If

GetDPIRatios_Y:
   On Error GoTo GetDPIRatios_Error_Y
   strY = sdaGetRegEntry("HKEY_CURRENT_CONFIG", "Display\Settings", "DPIPhysicalY", 0)
   If strY = "" Then
      ratioY = 1
   Else
      ratioY = CInt(strY) / NORMAL_DPI
   End If
   Exit Sub
   
GetDPIRatios_Error_X:
   ratioX = 1
   GoTo GetDPIRatios_Y

GetDPIRatios_Error_Y:
   ratioY = 1
End Sub
