VERSION 5.00
Begin VB.UserControl ctlControl 
   BackStyle       =   0  'Transparent
   CanGetFocus     =   0   'False
   ClientHeight    =   480
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   480
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   480
   ScaleWidth      =   480
   Begin VB.Image imgIcon 
      Height          =   480
      Left            =   0
      Picture         =   "control.ctx":0000
      Top             =   0
      Width           =   480
   End
End
Attribute VB_Name = "ctlControl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'force variable declaration
Option Explicit


Public Sub Activate(Optional Modal As Integer = vbModeless, Optional Path As String = "")
   If Path = "" Then
      'initialize path
      ThemeFilePath = ""
      
      'set mouse to busy
      Screen.MousePointer = vbHourglass
   
      'show theme editor
      On Error Resume Next
      frmTheme.Show Modal
      
      'set mouse to normal
      Screen.MousePointer = vbDefault
   Else
      'initialize path
      If Right$(Path, 1) = "\" Then
         ThemeFilePath = Path
      Else
         ThemeFilePath = Path & "\"
      End If
   
      'make sure path is valid
      If Dir(ThemeFilePath & "meka.thm") <> "" Then
         'set mouse to busy
         Screen.MousePointer = vbHourglass
   
         'show theme editor
         On Error Resume Next
         frmTheme.Show Modal
         
         'set mouse to normal
         Screen.MousePointer = vbDefault
      Else
         'error
         MsgBox "File not found: """ & ThemeFilePath & "meka.thm""", vbApplicationModal + vbExclamation + vbOKOnly, "WonderTheme " & VERSION
      End If
   End If
End Sub
